PolyTransformAction Class Reference

`#include <PolyTransformAction.h>`

Inheritance diagram for PolyTransformAction:

## Public Member Functions

| PolyTransformAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Attributes

IOParameters | _io
BoolParameter | _canonicalize
BoolParameter | _sortTerms

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 26 of file PolyTransformAction.h.

## Constructor & Destructor Documentation

## PolyTransformAction()

PolyTransformAction::PolyTransformAction | ( |  | ) |

Definition at line 26 of file PolyTransformAction.cpp.

## Member Function Documentation

## obtainParameters()

void PolyTransformAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 48 of file PolyTransformAction.cpp.

## perform()

void PolyTransformAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 55 of file PolyTransformAction.cpp.

## staticGetName()

const char * PolyTransformAction::staticGetName | ( |  | ) |

static

Definition at line 76 of file PolyTransformAction.cpp.

## Member Data Documentation

## _canonicalize

BoolParameter PolyTransformAction::_canonicalize

private

Definition at line 38 of file PolyTransformAction.h.

## _io

IOParameters PolyTransformAction::_io

private

Definition at line 37 of file PolyTransformAction.h.

## _sortTerms

BoolParameter PolyTransformAction::_sortTerms

private

Definition at line 39 of file PolyTransformAction.h.

The documentation for this class was generated from the following files:

- src/PolyTransformAction.h
- src/PolyTransformAction.cpp